using System;
using System.Collections.Generic;

namespace LJLib.Net.SPI.Server
{
    internal sealed class ExcutorManager : LJServerBase
    {
        private Dictionary<string, ExcutorBase> excutors = new Dictionary<string, ExcutorBase>();

        public void AddMap(string apiName, Type requestType, ExcutorBase excutor)
        {
            excutors[apiName] = excutor;
            this.AddMap(apiName, requestType, excutor.Excute);
        }
    }
}
